//通过ID或Name得到元素
function $F(id) {
    var obj;
    obj = document.getElementById(id);
    if (obj != null)
        return obj;
    return document.getElementsByName(id);
}
var is_show_filter = false;
/* Stats Toogle */
$(document).ready(function () {
    $("#btn_search").click(function () {
        show_hide_search_bar();
    });
    $("#btn_filter").click(function () {
        show_filter();
    });
	$(".albox .close").click(function(event){
	    $(this).parents(".albox").slideToggle(200);
		//alert('toogle.js close');
		// Stop the link click from doing its normal thing
		return false;
	}); 
    document.getElementById("txt_search").onkeypress = function (evt) {
        evt = evt ? evt : (window.event ? window.event : null);
        if (evt.keyCode == "13") {
            search_list();
        }
    }

});
//显示/隐藏搜索条
function show_hide_search_bar() {
    if (is_show_filter) {
        $("#div_filter").css("display", "none");
        is_show_filter = false;
    }
    $(".searchbox").slideToggle(200);
}

//显示过滤框
function show_filter() {
    is_show_filter = true;
    $("#div_filter").css("display", "");
}
var load_by_scroll = false;
$(window).scroll(function () {
    if (!load_by_scroll) return;
    //浏览器的高度加上滚动条的高度 
    totalheight = parseFloat($(window).height()) + parseFloat($(window).scrollTop());
    //当文档的高度小于或者等于总的高度的时候，开始动态加载数据
    if ($(document).height() <= totalheight) {
        load_page();
    }
});
//隐藏过滤框
function hide_filter() {
    is_show_filter = false;
    $("#div_filter").css("display", "none");
}
var page = 1;//默认打开页
//加载数据
function load_data(url, par) {
    $("#load_more").html("努力加载中...");
    var html = $.ajax({
        type: "POST",
        url: url,
        data: "page=" + page
            + par,
        async: false
    }).responseText;
    $("#data_list").append(html);
    $("#load_more").html("");
    page++;
}

//日历控件参数
var opt_datebox = {};
opt_datebox.date = { preset: 'date' };
opt_datebox.datetime = { preset: 'datetime' };
opt_datebox.time = { preset: 'time' };
opt_datebox.default = {
    theme: 'android-ics light', //皮肤样式
    display: 'modal', //显示方式 
    mode: 'scroller', //日期选择模式
    lang: 'zh',
    startYear: (new Date()).getFullYear() - 10, //开始年份
    endYear: (new Date()).getFullYear() + 10 //结束年份
};
//设置文本框为日历控件
function set_date_control(element_id) {
    $("#" + element_id).val('').scroller('destroy').scroller($.extend(opt_datebox['date'], opt_datebox['default']));
}